Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlMetaNodeTrueRenderer Class Reference

`#include <GlMetaNodeTrueRenderer.h>`

Inheritance diagram for tlp::GlMetaNodeTrueRenderer:
[legend]
Collaboration diagram for tlp::GlMetaNodeTrueRenderer:
[legend]

List of all members.

## Public Member Functions

- GlMetaNodeTrueRenderer (GlGraphInputData *inputData)
- virtual ~GlMetaNodeTrueRenderer ()
- virtual void render (node n, float lod, Camera *camera)
- virtual void setInputData (GlGraphInputData *data)
- virtual GlGraphInputData * getInputData ()

## Detailed Description

Class use to render a meta node, this version render meta node with old OpenGl tulip system

## Constructor & Destructor Documentation

tlp::GlMetaNodeTrueRenderer::GlMetaNodeTrueRenderer | ( | GlGraphInputData * | inputData | ) |

virtual tlp::GlMetaNodeTrueRenderer::~GlMetaNodeTrueRenderer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual GlGraphInputData* tlp::GlMetaNodeTrueRenderer::getInputData | ( |  | ) | `[inline, virtual]`

Reimplemented from tlp::GlMetaNodeRenderer.

virtual void tlp::GlMetaNodeTrueRenderer::render | ( | node | n,
|  | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Reimplemented from tlp::GlMetaNodeRenderer.

virtual void tlp::GlMetaNodeTrueRenderer::setInputData | ( | GlGraphInputData * | data | ) | `[inline, virtual]`

Reimplemented from tlp::GlMetaNodeRenderer.

Tulip Software by LaBRI Visualization Team 2001 - 2012